#############################################################
#
# uclibc
# 
# This one is pretty special but yet ohh so simple.
#
#############################################################

UCLIBC_LIBDIR=/lib

$(INITRD_MASTER)/lib/libc.so.0: 
	#
	# Just copying the library-files:
	#
	cp -a $(UCLIBC_LIBDIR)/libc.* $(INITRD_MASTER)/lib/.
	# cp -a $(UCLIBC_LIBDIR)/libgcc* $(INITRD_MASTER)/lib/.
	cp -a $(UCLIBC_LIBDIR)/*uC* $(INITRD_MASTER)/lib/.
	cp -a $(UCLIBC_LIBDIR)/libm* $(INITRD_MASTER)/lib/.
	cp -a $(UCLIBC_LIBDIR)/libcrypt* $(INITRD_MASTER)/lib/.

	cp -a $(UCLIBC_LIBDIR)/libdl* $(ADD_MASTER)/lib/.
	cp -a $(UCLIBC_LIBDIR)/libpthread* $(ADD_MASTER)/lib/.
	cp -a $(UCLIBC_LIBDIR)/libresolv* $(ADD_MASTER)/lib/.
	cp -a $(UCLIBC_LIBDIR)/libutil* $(ADD_MASTER)/lib/.

	cp -a $(UCLIBC_LIBDIR)/libnsl* $(ADD_MASTER)/lib/.

	# This one does not belong here
	-cp -a $(UCLIBC_LIBDIR)/libz* $(ADD_MASTER)/lib/.

	-rm -f $(INITRD_MASTER)/lib/*.a $(ADD_MASTER)/lib/*.a
	-rmdir $(INITRD_MASTER)/lib/modules $(ADD_MASTER)/lib/modules

	# Sick, but it works.
	-$(SSTRIP) $(ADD_MASTER)/lib/*
	-$(SSTRIP) $(INITRD_MASTER)/lib/*


uclibc: $(INITRD_MASTER)/lib/libc.so.0

uclibc-clean:
	-rm -rf $(INITRD_MASTER)/lib/*
	-rm -f $(ADD_MASTER)/lib/libcrypt*
	-rm -f $(ADD_MASTER)/lib/libdl*
	-rm -f $(ADD_MASTER)/lib/libpth*
	-rm -f $(ADD_MASTER)/lib/libres*
	-rm -f $(ADD_MASTER)/lib/libu*
	-rm -f $(ADD_MASTER)/lib/libnsl*

uclibc-dirclean: uclibc-clean
