$(MODULES_BASE_DIR)/pcmcia.bz2:
	-rm -r $(MODULES_BASE_DIR)/pcmcia
	mkdir $(MODULES_BASE_DIR)/pcmcia
	mkdir $(MODULES_BASE_DIR)/pcmcia/lib
	mkdir $(MODULES_BASE_DIR)/pcmcia/lib/modules
	mkdir $(MODULES_BASE_DIR)/pcmcia/lib/modules/$(LINUX_VERSION)
	mkdir $(MODULES_BASE_DIR)/pcmcia/lib/modules/$(LINUX_VERSION)/kernel
	mkdir $(MODULES_BASE_DIR)/pcmcia/lib/modules/$(LINUX_VERSION)/kernel/drivers
	mkdir $(MODULES_BASE_DIR)/pcmcia/lib/modules/$(LINUX_VERSION)/kernel/drivers/net
	
	cp -a  $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/pcmcia $(MODULES_BASE_DIR)/pcmcia/lib/modules/$(LINUX_VERSION)/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/pcmcia $(MODULES_BASE_DIR)/pcmcia/lib/modules/$(LINUX_VERSION)/kernel/drivers/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/pcmcia $(MODULES_BASE_DIR)/pcmcia/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/wireless $(MODULES_BASE_DIR)/pcmcia/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	( cd $(MODULES_BASE_DIR)/pcmcia; tar -cpvf ../pcmcia.tar *; )
	/usr/bin/bzip2 -9 $(MODULES_BASE_DIR)/pcmcia.tar
	mv $(MODULES_BASE_DIR)/pcmcia.tar.bz2 $(MODULES_BASE_DIR)/pcmcia.bz2

pcmcia-modules: $(MODULES_BASE_DIR)/pcmcia.bz2

pcmcia-modules-clean:
	-rm -f $(MODULES_BASE_DIR)/pcmcia.bz2
